Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QGfxDriverPlugin Class Reference

The QGfxDriverPlugin class provides an abstract base for Qt/Embedded graphics driver plugins. More...

`#include <qgfxdriverplugin_qws.h>`

List of all member functions.

## Public Members

- QGfxDriverPlugin ()
- ~QGfxDriverPlugin ()
- virtual QStringList keys () const = 0
- virtual QScreen * create ( const QString & driver, int displayId ) = 0

## Detailed Description

The QGfxDriverPlugin class provides an abstract base for Qt/Embedded graphics driver plugins.

The graphics driver plugin is a simple plugin interface that makes it easy to create custom graphics drivers.

Writing a graphics driver plugin is achieved by subclassing this base class, reimplementing the pure virtual functions keys() and create(), and exporting the class with the `Q_EXPORT_PLUGIN` macro. See the Plugins documentation for details.

This class is only available in Qt/Embedded.

See also Plugins.

## Member Function Documentation

### QGfxDriverPlugin::QGfxDriverPlugin ()

Constructs a graphics driver plugin. This is invoked automatically by the `Q_EXPORT_PLUGIN` macro.

### QGfxDriverPlugin::~QGfxDriverPlugin ()

Destroys the graphics driver plugin.

You never have to call this explicitly. Qt destroys a plugin automatically when it is no longer used.

### QScreen * QGfxDriverPlugin::create ( const QString & driver, int displayId )`[pure virtual]`

Creates a driver matching the type specified by driver, that will use display displayId.

See also keys().

### QStringList QGfxDriverPlugin::keys () const`[pure virtual]`

Returns the list of graphics drivers this plugin supports.

See also create().

This file is part of the Qt toolkit. Copyright © 1995-2005 Trolltech. All Rights Reserved.